<?php
saxue_includedb();
class saxuetopic extends saxueobjectdata {
		function saxuetopic() {
				$this -> initvar( "topicid", SAXUE_TYPE_INT, 0, "专题ID", false, 11 );
				$this -> initvar( "cid", SAXUE_TYPE_INT, 0, "分类ID", false, 4 );
				$this -> initvar( "counts", SAXUE_TYPE_INT, 0, "文章数", false, 4 );
				$this -> initvar( "views", SAXUE_TYPE_INT, 0, "访问数", false, 11 );
				$this -> initvar( "addtime", SAXUE_TYPE_INT, 0, "添加时间", false, 10 );
				$this -> initvar( "status", SAXUE_TYPE_INT, 0, "状态", false, 1 );
				$this -> initvar( "isthumb", SAXUE_TYPE_INT, 0, "有无缩略图", false, 1 );
				$this -> initvar( "isgood", SAXUE_TYPE_INT, 0, "是否推荐", false, 1 );
		} 
} 

class saxuetopichandler extends saxueobjecthandler {
		function saxuetopichandler( $_db = "" ) {
				$this -> saxueobjecthandler( $_db );
				$this -> basename = "topic";
				$this -> autoid = "topicid";
				$this -> dbname = "topic";
		} 
}